<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<div class="col-sm-3 col-sm-offset-1 blog-sidebar">
	<?php if (!empty($this->options->sidebarBlock) && in_array('ShowSearchBox', $this->options->sidebarBlock)): ?>
	<div class="sidebar-module">
		<form id="search" method="post" action="<?php $this->options->siteUrl(); ?>" role="search">
			<div class="form-group">
				<label for="s" class="sr-only"><?php _e('搜索关键字'); ?></label>
				<input type="text" name="s" class="text form-control" placeholder="<?php _e('输入关键字搜索'); ?>" />
				<button type="submit" class="submit"><?php _e('搜索'); ?></button>
			</div>
		</form>
	</div>
	<?php endif; ?>
	<?php if (!empty($this->options->sidebarBlock) && in_array('ShowRecentPosts', $this->options->sidebarBlock)): ?>
	<div class="sidebar-module">
		<h4>最新文章</h4>
		<ol class="list-unstyled">
			<?php
				$flag = 0;
				$this->widget('Widget_Contents_Post_Recent')->to($recents);
				while ($recents->next())
				{
					if ($flag == 0)
						$flag = 1;
					else
						echo '<hr>';
					echo "<li><a href='{$recents->permalink}'>{$recents->title}</a></li>";
				}
			?>
		</ol>
	</div>
	<?php endif; ?>
	<?php if (!empty($this->options->sidebarBlock) && in_array('ShowRecentComments', $this->options->sidebarBlock)): ?>
	<div class="sidebar-module">
		<h4>最近评论</h4>
		<ol class="list-unstyled">
			<?php $this->widget('Widget_Comments_Recent')->to($comments); ?>
			<?php $flag = 0; ?>
			<?php while($comments->next()): ?>
				<?php if ($flag == 0) $flag = 1; else echo '<hr>'; ?>
				<li><?php $comments->author(); ?>&nbsp;@&nbsp;<?php $comments->date('Y-m-d'); ?>:<br><?php $comments->excerpt(35, '......'); ?><a href="<?php $comments->permalink(); ?>">&nbsp;更多&nbsp;&raquo;</a></li>
			<?php endwhile; ?>
		</ol>
	</div>
	<?php if (!empty($this->options->sidebarBlock) && in_array('ShowCategoryCatalog', $this->options->sidebarBlock)): ?>
	<?php endif; ?>
	<div class="sidebar-module">
		<h4>分类目录</h4>
		<?php Typecho_Widget::widget('Widget_Metas_Category_List', array('sort' => 'count', 'ignoreZeroCount' => true, 'desc' => true))->to($categories); ?>
		<form role="form">
			<select class="form-control" onchange="window.location = this.value;">
				<option value="#">选择分类</option>
				<?php while($categories->next()): ?>
					<option value="<?php $categories->permalink(); ?>"><?php echo str_repeat('&nbsp;&nbsp;', $categories->levels) . $categories->name; ?></option>
				<?php endwhile; ?>
			</select>
		</form>
	</div>
	<?php endif; ?>
	<?php if (!empty($this->options->sidebarBlock) && in_array('ShowTimeCatalog', $this->options->sidebarBlock)): ?>
	<div class="sidebar-module">
		<h4>时间目录</h4>
		<form role="form">
			<select class="form-control" onchange="window.location = this.value;">
				<option value="#">选择时间</option>
				<?php
					Typecho_Widget::widget('Widget_Contents_Post_Date', 'type=day&format=Y-m-d')->to($dates);
					$ly = $lm = 0;
					while ($dates->next())
					{
						$dstr = strtotime($dates->date);
						$cy = (int)date("Y", $dstr);
						$cm = (int)date("m", $dstr);
						if ($cy != $ly)
						{
							echo '<option value="';
							$this->options->siteUrl((string)$cy . '/');
							echo '">' . $cy . ' 年</option>';
							$ly = $cy;
							$lm = 0;
						}
						if ($cm != $lm)
						{
							echo '<option value="';
							$this->options->siteUrl((string)$cy . '/' . str_pad((string)$cm, 2, "0", STR_PAD_LEFT) . '/');
							echo '">' . date("Y 年 n 月", $dstr) . '</option>';
							$lm = $cm;
						}
						echo '<option value="' . $dates->permalink . '">' . date("Y 年 n 月 j 日", $dstr) . '</option>';
					}
				?>
			</select>
		</form>
	</div>
	<?php endif; ?>
	<?php if (!empty($this->options->sidebarBlock) && in_array('ShowFriendLinks', $this->options->sidebarBlock) && $this->options->friendLinks != ''): 
        $links = explode("\r\n", $this->options->friendLinks);
	?>
	<div class="sidebar-module">
		<h4>友情链接</h4>
		<ul class="list-unstyled">
			<?php
				$flag = 0;
				foreach ($links as $link)
				{
					if ($flag == 0)
						$flag = 1;
					else
						echo '<hr>';
					echo "<li>$link</li>";
				}
			?>
		</ul>
	</div>
	<?php endif; ?>
</div>
