<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;
function themeConfig($form)
{
	echo '所有需要输入文本的设置项都可以使用 HTML。<strong>您可能需要对某些 \'&lt;\' 和 \'&gt;\' 进行转义。</strong><br>主题 UI 采用了 Bootstrap 框架，因此您可以在本设置页面的任何位置使用 Bootstrap 的组件。Bootstrap 版本号是 3.3.7。';
	$logoUrl = new Typecho_Widget_Helper_Form_Element_Text('logoUrl', NULL, NULL, '站点 LOGO 地址', '在这里填入一个图标 URL 地址，它将用作网页的图标，展示在标签页处。');
	$form->addInput($logoUrl);
	$auth = new Typecho_Widget_Helper_Form_Element_Text('auth', NULL, NULL, '内容授权协议', '如果您要对网站的内容进行内容著作权保护，请在这里填写您的授权协议名称及链接。此项内容将展示在网页的底部。');
	$form->addInput($auth);
	$sidebarBlock = new Typecho_Widget_Helper_Form_Element_Checkbox('sidebarBlock', array(
		'ShowSearchBox'       => '搜索框',
		'ShowRecentPosts'     => '最新文章',
		'ShowRecentComments'  => '最近评论',
		'ShowCategoryCatalog' => '分类目录',
		'ShowTimeCatalog'     => '时间目录',
		'ShowFriendLinks'     => '友情链接'),
	array('ShowSearchBox', 'ShowRecentPosts', 'ShowRecentComments', 'ShowCategoryCatalog', 'ShowTimeCatalog', 'ShowFriendLinks'), '侧边栏显示以下项目');
	$form->addInput($sidebarBlock->multiMode());
	$bulletin = new Typecho_Widget_Helper_Form_Element_Textarea('bulletin', NULL, NULL, '站点公告', '站点公告将显示在网页顶部导航条上。如果您不想使用公告版块，此项留空即可。');
	$form->addInput($bulletin);
	$friendLinks = new Typecho_Widget_Helper_Form_Element_Textarea('friendLinks', NULL, NULL, '友情链接', '在这里设置友情链接，每行一个。此项内容将展示在侧边栏。您还需要在上方勾选「友情链接」选项。');
	$form->addInput($friendLinks);
	$icpRecord = new Typecho_Widget_Helper_Form_Element_Text('icpRecord', NULL, NULL, 'ICP 备案号', '如果您的网站有工信部 ICP 备案，请在这里填写备案号。此项内容将展示在网页的底部，并已自动添加工信部备案查询网站链接。<br>如果没有备案或不想在网页上显示备案号，此项留空即可。');
	$form->addInput($icpRecord);
}
