<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<!doctype html>
<html>
	<head>
		<meta charset="UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="renderer" content="webkit">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<script src="<?php $this->options->themeUrl('loading_bar/pace.min.js'); ?>"></script>
		<link rel="stylesheet" href="<?php $this->options->themeUrl('loading_bar/pace.flash.css'); ?>">
		<script>pace.start();</script>
		<title><?php $this->archiveTitle(array(
				'category'  =>  _t('分类「%s」'),
				'search'    =>  _t('全文搜索「%s」'),
				'tag'       =>  _t('标签「%s」'),
				'author'    =>  _t('由「%s」发布'),
				'date'      =>  _t('%s')
			), '', ' - '); ?><?php $this->options->title(); ?></title>
		<link rel="stylesheet" href="<?php $this->options->themeUrl(); ?>lib/css/bootstrap.min.css">
		<link rel="stylesheet" href="<?php $this->options->themeUrl('style.css'); ?>">
		<link rel="shortcut icon" href="<?php $this->options->logoUrl(); ?>" >
		<?php $this->header(); ?>
	</head>
	<body>
		<?php if ($this->options->bulletin != ''): ?>
		<div class="modal fade" id="bulletin" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header">
						<h3 class="modal-title" id="myModalLabel">公告</h3>
					</div>
					<div class="modal-body"><?php echo $this->options->bulletin; ?></div>
					<div class="modal-footer">
						<button type="button" class="btn btn-default btn-success" data-dismiss="modal">我知道了</button>
					</div>
				</div>
			</div>
		</div>
		<?php endif; ?>
		<div class="blog-masthead">
			<div class="container">
				<nav class="blog-nav">
					<a class="blog-nav-item <?php if($this->is('index')): ?> active <?php endif; ?>" href="<?php $this->options->siteUrl(); ?>">首页</a>
					<?php $this->widget('Widget_Contents_Page_List')->to($pages); ?>
					<?php while ($pages->next()): ?>
					<a class="blog-nav-item <?php if($this->is('page', $pages->slug)): ?> active <?php endif; ?>" href="<?php $pages->permalink(); ?>" title="<?php $pages->title(); ?>"><?php $pages->title(); ?></a>
					<?php endwhile; ?>
					<a class="blog-nav-item place-right" href="<?php $this->options->FeedUrl(); ?>"><?php _e('RSS 订阅'); ?></a>
					<?php if($this->user->hasLogin()): ?>
					<a class="blog-nav-item place-right" href="<?php $this->options->logoutUrl(); ?>"><?php _e('注销'); ?></a>
					<a class="blog-nav-item place-right" href="<?php $this->options->adminUrl(); ?>"><?php _e('进入后台'); ?>&nbsp;(<?php $this->user->screenName(); ?>)</a>
					<?php else: ?>
					<a class="blog-nav-item place-right" href="<?php $this->options->adminUrl('register.php'); ?>"><?php _e('注册'); ?></a>
					<a class="blog-nav-item place-right" href="<?php $this->options->adminUrl('login.php'); ?>"><?php _e('登录'); ?></a>
					<?php endif; ?>
					<?php if ($this->options->bulletin != ''): ?>
					<a class="blog-nav-item place-right" data-toggle="modal" data-target="#bulletin" style="cursor: pointer;">公告</a>
					<?php endif; ?>
				</nav>
			</div>
		</div>
		<div class="container">
			<div class="blog-header">
				<h1 class="blog-title"><?php $this->options->title() ?></h1>
				<p class="lead blog-description"><?php $this->options->description() ?></p>
			</div>
			<div class="row">
